form Input
	word Path 
	word Subject xy
endform

Create Strings as file list: "FileList", path$ + "*.wav"
Randomize
selectObject: "Strings FileList"
numberOfFiles = Get number of strings

Read Table from tab-separated file: "data.txt"
numberOfRows = Get number of rows

Create Table with column names: "Results_" + subject$, numberOfFiles, "Subject Word Response"

demo Erase all
demo Select outer viewport: 0, 100, 0, 100
demo Axes: 0, 100, 0, 100
demo 24
demo Text: 50, "centre", 50, "half", "In the following experiment you will listen to individual words"
demo Text: 50, "centre", 40, "half", "and you have to decide which of the two displayed words you heard"

for i to numberOfFiles
	selectObject: "Strings FileList"
	fileName$ = Get string: i
	Read from file: path$ + fileName$
	name$ = selected$ ("Sound")
	demo Erase all
	demo 12
	demo Times

	selectObject: "Table data"
	for row to numberOfRows
		file$ = Get value: row, "File"

		if file$ = fileName$
			word1$ = Get value: row, "Wort1"
			word2$ = Get value: row, "Wort2"
		endif
	endfor


	# Number of sounds to be played
	demo Grey
	demo Text: 0, "left", 99, "half", string$(i) + "/" + string$(numberOfFiles)
	demo 18
	demo Black


	demo Paint rectangle: "{0.900000,0.900000,0.900000}", 15, 45, 40, 60 
	demo Paint rectangle: "{0.900000,0.900000,0.900000}", 55, 85, 40, 60
	
	demo Grey
	demo Draw rectangle: 15, 45, 40, 60
	demo Draw rectangle: 55, 85, 40, 60
	demo Black

	
	demo Text: 30, "centre", 50, "half", word1$
	demo Text: 70, "centre", 50, "half", word2$
	
	demo Paint rectangle: "Red", 40, 60, 70, 80
	demo Paint rectangle: "Green", 40, 60, 5, 15
	demo Text:  50, "centre", 75, "half", "Replay"
	demo Grey
	demo Text:  50, "centre", 10, "half", "Next"

	demoShow()

	selectObject: "Sound " + name$
	Play

	response$ = ""

	while demoWaitForInput ( )
		if demoClicked ( )
			if demoClickedIn (15, 45, 40, 60)
				response$ = "long"
				demo Red
				demo Draw rectangle: 15, 45, 40, 60 
				demo Grey
				demo Draw rectangle: 55, 85, 40, 60
	
			elsif demoClickedIn (55, 85, 40, 60)
				response$ = "short"
				demo Red
				demo Draw rectangle: 55, 85, 40, 60
				demo Grey
				demo Draw rectangle: 15, 45, 40, 60 

			elsif demoClickedIn (40, 60, 70, 80)
				Play
			endif
			if response$ != ""
				demo White
				demo Text:  50, "centre", 10, "half", "Next"
				if demoClickedIn (40, 60, 5, 15)
					selectObject: "Table Results_" + subject$ 
					Set string value: i, "Subject", subject$
					Set string value: i, "Word", name$
					Set string value: i, "Response", response$
					
				goto NEXT
				endif
			endif
		endif
	endwhile
	label NEXT
	selectObject: "Sound " + name$
	Remove
endfor

demo Erase all
demo Black
demo Text: 50, "centre", 50, "half", "Thank you!"
selectObject: "Strings FileList"
Remove


